﻿//v0.1

function main()
{
    if(app.documents.length == 0) return;
    
    var actDoc = app.activeDocument;
    
    var Nth = parseInt(prompt("N:", 10, "Select Every Nth Object"));
    
    if(!(Nth>=1))
    {
        alert("Bad N ( " + Nth + " )");
        return;
    }
    
    var iStart = 0;
    for(var i=0; i<actDoc.pageItems.length; i++)
    {
        if(actDoc.pageItems[i].selected)
        {
            iStart = i;
            break;
        };
    }

    iStart = iStart % Nth;
    
    actDoc.selection = [];

    for(var i=iStart; i<actDoc.pageItems.length; i+=Nth)
    {
        var currObj = actDoc.pageItems[i];
        if(!currObj.hidden && !currObj.locked)
            currObj.selected = true;
    }
    
}

main();